GETDOMAINNAME(2)

NAME
getdomainname, setdomainname - get/set domain name

SYNOPSIS
#include <unistd.h>

int getdomainname(char *name, size_t len);
int setdomainname(const char *name, size_t len);

DESCRIPTION
These functions are used to access or to change the domain name of the current processor. If the NUL-terminated domain name requires more than len bytes, getdomainname() returns the first len bytes (glibc) or returns an error (libc).

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    For setdomainname(): name pointed outside of user address space.

EINVAL
    For getdomainname() under libc: name is NULL or name is longer than len bytes.

EINVAL
    For setdomainname(): len was negative or too large.

EPERM
    For setdomainname(): the caller is unprivileged (Linux: does not have the CAP_SYS_ADMIN capability).

CONFORMING TO
POSIX does not specify these calls.

SEE ALSO
gethostname(2), sethostname(2), uname(2)